{% extends 'base.html' %}
{% load static %}

{% block content %}
<div class ="container trans">
  <table class = "trans">
    <tr>
        <th>Nama Matkul</th>
        <th>Dosen Pengajar</th>
        <th>Jumlah SKS</th>
        <th>Deskripsi</th>
        <th>Semester</th>
    </tr>
    {% for item in matkuls %}
    <tr> 
        <td>{{ item.nama_matkul }}</td>
        <td>{{ item.dosen }} </td>
        <td>{{ item.sks }}</td>
        <td>{{ item.deskripsi }} </td>
        <td>{{ item.semester }}</td>
    </tr>
    {% endfor %}
  </table>
  <br>
</div>
<div class ="container">
  <div class = "row trans">
      <div class = "col-md-6">
        <h4>Tambah Matkul</h4>
        <form action="tambah/" method="POST">
          {% csrf_token %}
          {{form}}
          <br>
          <input type = "submit" value="Tambah">
        </form>
      </div>
      <div class = "col-md-6">
        <h4>Hapus Matkul (Sebagian)</h4>
        <form action="delete/" method="POST">
          {% csrf_token %}
          {{form2}}
          <br>
          <input type = "submit" value="Hapus">
        </form>
        <br>
        <h4>Hapus Semua Matkul</h4>
        <form action="deleteall/" method="GET">
          <button type="submit">Hapus Semua!!</button>
        </form>
      </div>
    </div>
  </div>
</div>
{% endblock content %}